[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'base64' (#fcl)

# TBase64EncodingStream.Flush

Flush the remaining bytes to the output stream.

## Declaration

Source position: base64.pp line 40

`public function TBase64EncodingStream.Flush: Boolean;`

## Function result

True if additional bytes were written.

## Description

Flush writes the remaining bytes from the internal encoding buffer to the output stream and pads the output with "=" signs. It returns True if padding was necessary, and False if not.

## See also

TBase64EncodingStream.Destroy |  | Remove a TBase64EncodingStream instance from memory